%define ttfdir %_datadir/fonts/default/TrueType-braille

Name: braille-fonts-ttf
Version: 1.0
Release: alt4

Summary: Free Braille TrueType fonts
Summary (ru_RU.UTF-8): Брайлевский TrueType шрифт
License: GPL
Group: System/Fonts/True type
Source: UBraille.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides a free Braille TrueType font.

%description -l ru_RU.UTF-8
В этом пакете находится брайлевский TrueType шрифт.

%prep
%setup -q -n UBraille

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_x11fontsdir/encodings/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.0-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc README*

%changelog
* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt4
- link to encodings.dir fixed

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- %postun script fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
